# Assignees

Manage pick-pack assignees

## Adding an assignee to an order

> Adds an assignee to a specified order.\
> \
> \*\*Note\*\*: If the order has the \`packingStatus\` set to \`CANCELLED\`, it is not possible to modify the assignee for that order.<br>

```json
{"openapi":"3.0.0","info":{"title":"Pick-Pack Service","version":"0.0.1"},"tags":[{"name":"Assignees","description":"Manage pick-pack assignees"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"OAuth2":["pickpack.pickpack_manage"]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.emporix.io/oauth/token","scopes":{"pickpack.pickpack_view":"Needed to retrieve information about resources in the service.","pickpack.pickpack_manage":"Needed to manage resources in the service."}}}}},"responses":{"successResponse":{"description":"Event creation response","content":{"application/json":{"schema":{"properties":{"message":{"type":"string"},"code":{"type":"integer"}}}}}},"BadRequest_400":{"description":"Request was syntactically incorrect. Details will be provided in the response payload.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}},"Unauthorized_401":{"description":"Given request is unauthorized - the authorization token is invalid or has expired. Details will be provided in the response payload.","content":{"application/json":{"schema":{"type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string"},"detail":{"type":"object","properties":{"errorcode":{"type":"string"}}}}}}}}}},"Forbidden_403":{"description":"Given authorization scopes are not sufficient and do not match scopes required by the endpoint.","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"code":{"type":"integer"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"string"}}}}}}},"NotFound_404":{"description":"Resource has not been found.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}},"Conflict_409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}},"InternalServiceError_500":{"description":"Internal Service Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}}},"schemas":{"errorMessage":{"title":"errorMessage","type":"object","properties":{"code":{"minimum":100,"maximum":599,"description":"original HTTP error code, should be consistent with the response HTTP code","type":"integer"},"message":{"pattern":"[a-z]+[a-z_]*[a-z]+","description":"classification of the error type, lower case with underscore eg validation_failure","type":"string"},"detailInfo":{"description":"More detailed information about the error","type":"string"}}},"Assignee":{"title":"Assignee","type":"object","properties":{"id":{"type":"string","description":"Identifier of an assignment"},"siteCode":{"type":"string","description":"Code of a site"},"firstName":{"type":"string","description":"First name of assignee"},"lastName":{"type":"string","description":"Last name of assignee"}},"required":["id","siteCode","firstName","lastName"]}},"parameters":{"trait_tenant":{"name":"tenant","in":"path","required":true,"description":"Your Emporix tenant name.\n\n**Note**: The tenant name should always be written in lowercase.\n","schema":{"pattern":"^[a-z][a-z0-9]+$","minLength":3,"maxLength":16,"type":"string"}},"orderId":{"name":"orderId","in":"path","required":true,"schema":{"type":"string"},"description":"Order's unique identifier."}}},"paths":{"/pick-pack/{tenant}/orders/{orderId}/assignees":{"post":{"tags":["Assignees"],"responses":{"200":{"$ref":"#/components/responses/successResponse"},"400":{"$ref":"#/components/responses/BadRequest_400"},"401":{"$ref":"#/components/responses/Unauthorized_401"},"403":{"$ref":"#/components/responses/Forbidden_403"},"404":{"$ref":"#/components/responses/NotFound_404"},"409":{"$ref":"#/components/responses/Conflict_409"},"500":{"$ref":"#/components/responses/InternalServiceError_500"}},"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Assignee"}}}},"description":"Adds an assignee to a specified order.\n\n**Note**: If the order has the `packingStatus` set to `CANCELLED`, it is not possible to modify the assignee for that order.\n","parameters":[{"$ref":"#/components/parameters/trait_tenant"},{"$ref":"#/components/parameters/orderId"},{"name":"force","in":"query","required":false,"schema":{"type":"boolean","default":true},"description":"If set to true, the new assignee will replace the old one. If set to false, a bad request will be returned if the order already has an assignee."}],"operationId":"POST-pick-pack-add-order-assignee","summary":"Adding an assignee to an order"}}}}
```

## Deleting an assignee from an order

> Deletes a specified assignee from a specified order.<br>

```json
{"openapi":"3.0.0","info":{"title":"Pick-Pack Service","version":"0.0.1"},"tags":[{"name":"Assignees","description":"Manage pick-pack assignees"}],"servers":[{"url":"https://api.emporix.io"}],"security":[{"OAuth2":["pickpack.pickpack_manage"]}],"components":{"securitySchemes":{"OAuth2":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"https://api.emporix.io/oauth/token","scopes":{"pickpack.pickpack_view":"Needed to retrieve information about resources in the service.","pickpack.pickpack_manage":"Needed to manage resources in the service."}}}}},"responses":{"Unauthorized_401":{"description":"Given request is unauthorized - the authorization token is invalid or has expired. Details will be provided in the response payload.","content":{"application/json":{"schema":{"type":"object","properties":{"fault":{"type":"object","properties":{"faultstring":{"type":"string"},"detail":{"type":"object","properties":{"errorcode":{"type":"string"}}}}}}}}}},"Forbidden_403":{"description":"Given authorization scopes are not sufficient and do not match scopes required by the endpoint.","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string"},"code":{"type":"integer"},"message":{"type":"string"},"details":{"type":"array","items":{"type":"string"}}}}}}},"InternalServiceError_500":{"description":"Internal Service Error occurred.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/errorMessage"}}}}},"schemas":{"errorMessage":{"title":"errorMessage","type":"object","properties":{"code":{"minimum":100,"maximum":599,"description":"original HTTP error code, should be consistent with the response HTTP code","type":"integer"},"message":{"pattern":"[a-z]+[a-z_]*[a-z]+","description":"classification of the error type, lower case with underscore eg validation_failure","type":"string"},"detailInfo":{"description":"More detailed information about the error","type":"string"}}}},"parameters":{"trait_tenant":{"name":"tenant","in":"path","required":true,"description":"Your Emporix tenant name.\n\n**Note**: The tenant name should always be written in lowercase.\n","schema":{"pattern":"^[a-z][a-z0-9]+$","minLength":3,"maxLength":16,"type":"string"}},"orderId":{"name":"orderId","in":"path","required":true,"schema":{"type":"string"},"description":"Order's unique identifier."}}},"paths":{"/pick-pack/{tenant}/orders/{orderId}/assignees/{assigneeId}":{"delete":{"tags":["Assignees"],"responses":{"204":{"description":"The request has succeeded.\n"},"401":{"$ref":"#/components/responses/Unauthorized_401"},"403":{"$ref":"#/components/responses/Forbidden_403"},"500":{"$ref":"#/components/responses/InternalServiceError_500"}},"description":"Deletes a specified assignee from a specified order.\n","parameters":[{"$ref":"#/components/parameters/trait_tenant"},{"$ref":"#/components/parameters/orderId"},{"name":"assigneeId","in":"path","required":true,"schema":{"pattern":"[a-zA-Z0-9_-]+","minLength":3,"maxLength":16,"type":"string"},"description":"assignee which will be removed from order"}],"operationId":"DELETE-pick-pack-remove-order-assignee","summary":"Deleting an assignee from an order"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.emporix.io/api-references/api-guides/orders/pick-pack/api-reference/assignees.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
